# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "halley-core"
version = "0.5.0"
authors = ["Dustin Pilgrim <dustin.pilgrim1997@gmail.com>"]
build = false
exclude = [
    "/.github",
    "/target",
    "/.idea",
    "/.vscode",
    "Cargo.lock",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core layout and window management logic for the Halley Wayland compositor."
readme = "README.md"
keywords = [
    "wayland",
    "compositor",
    "rust",
    "linux",
]
categories = [
    "os::linux-apis",
    "gui",
]
license = "GPL-3.0-only"
repository = "https://github.com/saltnpepper97/halley"
resolver = "2"

[lib]
name = "halley_core"
path = "src/lib.rs"
